Draft Wire/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 13: Line 13:


==Options==
==Options==
* If several connected [[Draft Line|Draft Lines]] are selected when pressing the '''Draft Wire''' Button, they will be turned into a wire and the command will exit. {{Version|0.17}}
* Press {{KEY|F}} or the {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine|Finish]]'''}} button to finish the wire, leaving it open
* Press {{KEY|F}} or the {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine|Finish]]'''}} button to finish the wire, leaving it open
* Press {{KEY|C}} or the {{KEY|[[Image:Draft CloseLine.png|12px]] '''[[Draft_CloseLine|Close]]'''}} button or click on the first point to finish the wire, but making it closed by adding a last segment between the last point and the first one.
* Press {{KEY|C}} or the {{KEY|[[Image:Draft CloseLine.png|12px]] '''[[Draft_CloseLine|Close]]'''}} button or click on the first point to finish the wire, but making it closed by adding a last segment between the last point and the first one.

Revision as of 08:31, 20 August 2016

Draft Wire

poziția meniului
Draft → Wire
Ateliere
Draft, Arch
scurtătură
W I
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Line, Draft BSpline

Description

The Wire tool creates a polyline (sequence of lines made of several segments) in the current work plane. It takes the linewidth and color previously set on the Tasks tab. The Wire tool behaves like the Draft Line tool, except that it doesn't stop after two points.

How to use

  1. Press the Draft Wire button, or press W then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click additional point on the 3D view, or type a coordinate
  4. Press F or C, or double-click the last point, or click on the first point to finish or close the wire. If the wire is closed, it will also be a face, even if it appears as wireframe.

Options

  • If several connected Draft Lines are selected when pressing the Draft Wire Button, they will be turned into a wire and the command will exit. introduced in version 0.17
  • Press F or the Finish button to finish the wire, leaving it open
  • Press C or the Close button or click on the first point to finish the wire, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Wire tool will restart after you finish or close it, allowing you to draw another one without pressing the Wire button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the wire from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press I or the Filled button to have the wire to appear as a face after it has been closed. This simply sets the View->Property of the Wire to "Flat lines" or "Wireframe", so it can easily be changed later.
  • Press ESC or the Cancel button to abort the current Line command.
  • Closed wires, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.

Properties

  • DateClosed: Specifies if the wire is closed or not
  • DateChamfer Size: Specifies the size of chamfered corners
  • DateFillet Radius: Specifies a curvature radius to give to the nodes of the wire
  • DateSubdivisions: Divides the segments of the wire with the given number of subdivisions introduced in version 0.16
  • VizualizareEnd Arrow: Shows an arrow symbol at the last point of the wire, so it can be used as an annotation leader line
  • VizualizarePattern: Specifies a hatch pattern to fill the wire with (Closed Wire)
  • VizualizarePattern Size: Specifies the size of the hatch pattern

See also Draft Pattern page.

Scripting

The Wire tool can by used in macros and from the python console by using the following function:

makeWire (list or Part.Wire, [closed], [placement], [facemode])
  • Creates a Wire object from the given list of vectors or from the given wire.
    • If closed is True or if first and last points are identical, the wire is closed.
    • If facemode is True (and the wire is closed), the wire will appear filled.
  • The current Draft linewidth and color will be used.
  • Returns the newly created object.

Example:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeWire([p1,p2,p3],closed=True)